Skip to content

Update scheduled API-triggered Canvases

post

/canvas/trigger/schedule/update

Use this endpoint to update scheduled API-triggered Canvases that were created in the dashboard.

This allows you to decide what action triggers the message to send. You can pass in trigger_properties that Braze templates into the message itself.

Note that to send messages with this endpoint, you must have a Canvas ID, created when you build a Canvas.

Any schedule will completely overwrite the one that you provided in the create schedule request or in previous update schedule requests.

  • For example, if you originally provide "schedule" : {"time" : "2015-02-20T13:14:47", "in_local_time" : true} and then in your update you provide "schedule" : {"time" : "2015-02-20T14:14:47"}, Braze sends your message at the provided time in UTC, not in the user’s local time.
  • Scheduled triggers that you update close to or during the time they were supposed to send are updated with best efforts, so Braze may apply last-second changes to all, some, or none of your targeted users.

Endpoint reference

This reference is generated from the OpenAPI specification for this endpoint. To run the endpoint, copy the generated cURL example and send it from your terminal or Postman. You can also download the raw OpenAPI spec for this page at /docs/assets/api/openapi/messaging_schedule_messages_post_update_scheduled_triggered_canvases.yaml. Use this spec to validate that your requests include the correct parameters, fields, and structure before you send them. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!